Update a workspace

Update an existing workspace by ID or slug. Management key required.

Authentication

AuthorizationBearer
API key as bearer token in Authorization header

Path parameters

idstringRequired>=1 character

The workspace ID (UUID) or slug

Request

This endpoint expects an object.
default_image_modelstring or nullOptional
Default image model for this workspace
default_provider_sortstring or nullOptional

Default provider sort preference (price, throughput, latency, exacto)

default_text_modelstring or nullOptional
Default text model for this workspace
descriptionstring or nullOptional<=500 characters
New description for the workspace
is_data_discount_logging_enabledbooleanOptional
Whether data discount logging is enabled
is_observability_broadcast_enabledbooleanOptional
Whether broadcast is enabled
is_observability_io_logging_enabledbooleanOptional
Whether private logging is enabled
namestringOptional1-100 characters
New name for the workspace
slugstringOptionalformat: "^[a-z0-9-]+$"1-50 characters

New URL-friendly slug

Response

Workspace updated successfully
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error